Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.grails.plugins.tomcat
[Groovy] Class IsolatedWarTomcatServer

    java.lang.Object
      org.grails.plugins.tomcat.TomcatServer
          org.grails.plugins.tomcat.IsolatedWarTomcatServer

    class IsolatedWarTomcatServer
    extends TomcatServer

Serves a packaged war, in a forked JVM.

Field Summary
`protected java.lang.Object` | `ant`
`protected java.lang.String` | `contextPath`
`protected java.io.File` | `warDir`

Fields inherited from class TomcatServer
buildSettings, keyPassword, keystoreFile, pluginSettings, tomcatDir, trustPassword, truststore, truststoreFile, usingUserKeystore, workDir

Property Summary
`static java.lang.Object` | `DEFAULT_JVM_ARGS`
`static java.lang.Object` | `DEFAULT_STARTUP_TIMEOUT_SECS`

Constructor Summary
`IsolatedWarTomcatServer(java.lang.String warPath, java.lang.String contextPath)`

Method Summary
`void` | `doStart(java.lang.String host, int httpPort, int httpsPort)`
`static java.util.Collection` | `findTomcatJars(BuildSettings buildSettings)`
`void` | `stop()`

Methods inherited from class TomcatServer
checkAndInitializingClasspathScanning, createSSLCertificate, doStart, getConfigParam, getConfigParams, getWorkDirFile, restart, start, start, start, startSecure, startSecure, startSecure, stop

Field Detail

### ant

    protected java.lang.Object ant

### contextPath

    protected final java.lang.String contextPath

### warDir

    protected final java.io.File warDir

Property Detail

### DEFAULT_JVM_ARGS

    static java.lang.Object DEFAULT_JVM_ARGS

### DEFAULT_STARTUP_TIMEOUT_SECS

    static java.lang.Object DEFAULT_STARTUP_TIMEOUT_SECS

Constructor Detail

### IsolatedWarTomcatServer

    IsolatedWarTomcatServer(java.lang.String warPath, java.lang.String contextPath)

Method Detail

### doStart

    void doStart(java.lang.String host, int httpPort, int httpsPort)

### findTomcatJars

    @CompileStatic
    static java.util.Collection findTomcatJars(BuildSettings buildSettings)

### stop

    void stop()

Groovy Documentation